// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.18.1
// source: vseth/type/money.proto

package money

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// Money represents an amount of money with its currency type.
// This is used instead of the google.type.money as we do not need sub-cent
// granularity and thus can reduce some complexity by only concidering cents.
type Money struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// The 3-letter currency code defined in ISO 4217.
	CurrencyCode string `protobuf:"bytes,1,opt,name=currency_code,json=currencyCode,proto3" json:"currency_code,omitempty"`
	// The amount of cents.
	// For example if `currencyCode` is "CHF", then 100 cents is 1 CHF.
	Cents int64 `protobuf:"varint,2,opt,name=cents,proto3" json:"cents,omitempty"`
}

func (x *Money) Reset() {
	*x = Money{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_type_money_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Money) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Money) ProtoMessage() {}

func (x *Money) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_type_money_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Money.ProtoReflect.Descriptor instead.
func (*Money) Descriptor() ([]byte, []int) {
	return file_vseth_type_money_proto_rawDescGZIP(), []int{0}
}

func (x *Money) GetCurrencyCode() string {
	if x != nil {
		return x.CurrencyCode
	}
	return ""
}

func (x *Money) GetCents() int64 {
	if x != nil {
		return x.Cents
	}
	return 0
}

var File_vseth_type_money_proto protoreflect.FileDescriptor

var file_vseth_type_money_proto_rawDesc = []byte{
	0x0a, 0x16, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2f, 0x74, 0x79, 0x70, 0x65, 0x2f, 0x6d, 0x6f, 0x6e,
	0x65, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0a, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e,
	0x74, 0x79, 0x70, 0x65, 0x22, 0x42, 0x0a, 0x05, 0x4d, 0x6f, 0x6e, 0x65, 0x79, 0x12, 0x23, 0x0a,
	0x0d, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x63, 0x79, 0x5f, 0x63, 0x6f, 0x64, 0x65, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x63, 0x79, 0x43, 0x6f,
	0x64, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x63, 0x65, 0x6e, 0x74, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x03, 0x52, 0x05, 0x63, 0x65, 0x6e, 0x74, 0x73, 0x42, 0x62, 0x0a, 0x13, 0x63, 0x68, 0x2e, 0x76,
	0x73, 0x65, 0x74, 0x68, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x2e, 0x6d, 0x6f, 0x6e, 0x65, 0x79, 0x50,
	0x01, 0x5a, 0x49, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x65, 0x74, 0x68, 0x7a, 0x2e, 0x63,
	0x68, 0x2f, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2f, 0x30, 0x34, 0x30, 0x33, 0x2d, 0x69, 0x73, 0x67,
	0x2f, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x69, 0x65, 0x73, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x73, 0x74, 0x75, 0x62, 0x2d, 0x67, 0x6f, 0x6c, 0x61, 0x6e, 0x67, 0x2f, 0x76, 0x73, 0x65, 0x74,
	0x68, 0x2f, 0x74, 0x79, 0x70, 0x65, 0x2f, 0x6d, 0x6f, 0x6e, 0x65, 0x79, 0x62, 0x06, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_vseth_type_money_proto_rawDescOnce sync.Once
	file_vseth_type_money_proto_rawDescData = file_vseth_type_money_proto_rawDesc
)

func file_vseth_type_money_proto_rawDescGZIP() []byte {
	file_vseth_type_money_proto_rawDescOnce.Do(func() {
		file_vseth_type_money_proto_rawDescData = protoimpl.X.CompressGZIP(file_vseth_type_money_proto_rawDescData)
	})
	return file_vseth_type_money_proto_rawDescData
}

var file_vseth_type_money_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_vseth_type_money_proto_goTypes = []interface{}{
	(*Money)(nil), // 0: vseth.type.Money
}
var file_vseth_type_money_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_vseth_type_money_proto_init() }
func file_vseth_type_money_proto_init() {
	if File_vseth_type_money_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_vseth_type_money_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Money); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_vseth_type_money_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_vseth_type_money_proto_goTypes,
		DependencyIndexes: file_vseth_type_money_proto_depIdxs,
		MessageInfos:      file_vseth_type_money_proto_msgTypes,
	}.Build()
	File_vseth_type_money_proto = out.File
	file_vseth_type_money_proto_rawDesc = nil
	file_vseth_type_money_proto_goTypes = nil
	file_vseth_type_money_proto_depIdxs = nil
}
